--- old/usr/src/uts/common/inet/udp/udp.c	2014-10-23 10:42:11.107296412 -0400
+++ new/usr/src/uts/common/inet/udp/udp.c	2014-10-23 10:42:11.112816420 -0400
@@ -25,6 +25,7 @@
  */
 /* Copyright (c) 1990 Mentat Inc. */
 
+#include <sys/sysmacros.h>
 #include <sys/types.h>
 #include <sys/stream.h>
 #include <sys/stropts.h>
@@ -4384,7 +4385,7 @@
 	us->us_bind_fanout_size = udp_bind_fanout_size;
 
 	/* Roundup variable that might have been modified in /etc/system */
-	if (us->us_bind_fanout_size & (us->us_bind_fanout_size - 1)) {
+	if (!ISP2(us->us_bind_fanout_size)) {
 		/* Not a power of two. Round up to nearest power of two */
 		for (i = 0; i < 31; i++) {
 			if (us->us_bind_fanout_size < (1 << i))
